#
# spec file for package eject (Version 2.0.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         eject
Copyright:    GPL, Copyright (C) 1994-1999 Jeff Tranter
Group:        Utilities/System
URL:          http://members.home.net/jefftranter/eject.html
Provides:     eject 
Autoreqprov:  on
Summary:      Eject CD-ROM under software control
Version:      2.0.10
Release:      39
Source:       ftp://metalab.unc.edu/pub/Linux/utils/disk-management/eject-%{version}.tar.gz
Patch:        eject-%{version}.patch
Patch1:       eject-%{version}-destdir.patch
Patch2:       eject-%{version}-volname.patch
BuildRoot:    /var/tmp/%{name}-BUILD

%description
Program for ejecting removable media under software control.
Can also control the auto-eject feature of some drives and
can be used to switch CDs on an IDE/ATAPI CD changer.

Authors:
--------
    Jeff Tranter <tranter@pobox.com>

SuSE series: ap

%prep
%setup
%patch
%patch1
%patch2

%build
./configure --prefix=/usr --bindir=/bin --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mv $RPM_BUILD_ROOT/bin/volname $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%doc README COPYING ChangeLog TODO PORTING INSTALL
%attr(644,root,root) %doc /usr/share/man/*/*
%attr(4750,root,audio) /bin/eject
/usr/bin/volname
/usr/share/locale/*/*/*

%changelog -n eject
* Wed Jul 18 2001 - nadvornik@suse.cz
- update to 2.0.10
* Thu May 10 2001 - nadvornik@suse.cz
- patched to compare major and minor device number when
  looking for mounted device [bug #6691]
* Thu Dec 14 2000 - smid@suse.cz
- change permission of man page to 644
* Tue Dec 12 2000 - olh@suse.de
- add security patch from <krahmer@cs.uni-potsdam.de>
  set %%attr(4750,root,audio) for /bin/eject
* Tue Sep 19 2000 - olh@suse.de
- move binary to /bin
* Tue Apr 18 2000 - smid@suse.cz
- buildroot added
* Mon Apr 10 2000 - uli@suse.de
- now works without /etc/fstab
* Sat Feb 12 2000 - grimmer@suse.de
- added Group tag and URL to spec file
- moved man page to /usr/share/man
- use version macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Aug 26 1999 - grimmer@suse.de
- initial package (Version 2.0.2)
